[Moin-user] underlay problem. Can't find HelpContents

David lists at theflorys.org
Mon Mar 14 11:08:54 EDT 2011


On 3/14/2011 5:42 AM, R.Bauer wrote:
> Am 13.03.2011 22:08, schrieb David:
>> On 3/13/2011 3:59 PM, David wrote:
>>> My wiki is not finding its help files. I am configured with my data
>>> directory in a different location from my underlay directory.
>>> data_dir = 'H:/Moin/pvtwiki/data/'
>>> data_underlay_dir = 'C:/Python27/share/moin/underlay/'
>>>
>>> When I click on HelpContents I get the Create New Page page.
>>>
>>> My base configuration is a local Apache server running Apache/2.2.16
>>> (Win32), mod_wsgi/3.3, Python/2.7.1, PHP/5.3.4. I have Moin 1.9.3
>>> installed. When I upgraded to Python 2.7 I installed the patch to Moin
>>> 1.9.3 (deleted a line from MoinMoin/support/werkzeug/templates.py). My
>>> mod_wsgi is working fine.
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Colocation vs. Managed Hosting
>>> A question and answer guide to determining the best fit
>>> for your organization - today and in the future.
>>> http://p.sf.net/sfu/internap-sfd2d
>>>
>>>
>>>
>>> _______________________________________________
>>> Moin-user mailing list
>>> Moin-user at lists.sourceforge.net
>>> https://lists.sourceforge.net/lists/listinfo/moin-user
>>
>> Dumb error.  I needed to run http://<my wiki url>/LanguageSetup !!
>>
>> Problem solved.
>
> btw. don't you have docs in your check out
> e.g. docs/README_FIRST ?
>
>
> Reimar
>>
>> ------------------------------------------------------------------------------
>> Colocation vs. Managed Hosting
>> A question and answer guide to determining the best fit
>> for your organization - today and in the future.
>> http://p.sf.net/sfu/internap-sfd2d
>
>
>
> ------------------------------------------------------------------------------
> Colocation vs. Managed Hosting
> A question and answer guide to determining the best fit
> for your organization - today and in the future.
> http://p.sf.net/sfu/internap-sfd2d
> _______________________________________________
> Moin-user mailing list
> Moin-user at lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/moin-user
>
Reimar,

Thank you very much for your kind response.  It was particularly useful 
after I posted the solution myself.  I did read the relevant 
documentation for a 1.9.2 to 1.9.3 upgrade and did not notice that I had 
to run that particular process.

Again, your helpful comment was deeply appreciated.

David Flory




More information about the Moin-user mailing list